IMC(1)

NAME
imc - iTALC Management Console

SYNOPSIS
imc [options]

DESCRIPTION
imc is a graphical program to modify the various settings used by italc-client and italc-master. imc is free software delivered as a ready-to-run binary distribution or as source code that you can freely use, copy, modify, and distribute. Its license is compatible with the GPL. It runs on all major operating systems. Most of the functionality of imc is provided by its graphical user interface however a few things can be changed from the command line as well. In the paragraphs below, find a short description for each command line option. If you are just getting acquainted with imc, start the program without any options.

OPTIONS
-l, -ListConfig The current configuration with all keys and values will be listed. This will give an output like
   ...
   Logging/LogLevel=1
   Network/CoreServerPort=11100
   Network/DemoServerPort=11400
   ...

-s, -SetConfigValue
    The value of a configuration property can be changed with this option. Examples:
      imc -s Logging/LogLevel=4
      imc -SetConfigValue Logging/LogFileDirectory /tmp/italc

-a, -ApplySettings
    You can apply the settings previously saved in a settings file using this command. Examples:
      imc -ApplySettings MyCustomSettings.xml

-i, -ImportPublicKey
    You can import a public key file which has been exported during the installation of the iTALC master computer using this command or its abbreviation. You can omit the the second parameter which specifies the public key file if it is located in the directory from which you launch IMC. IMC will automatically search for a *.key.txt file. If it finds exactly one, it'll import this one. Examples:
      imc -ImportPublicKey MyPublicKey.key.txt
      imc -i

-CreateKeypair <path>
    creates a new key pair for the default role (teacher) with the specified "path" as base dir. If "path" is omitted the path is taken from the settings file. This is used in conjunction with role. If role is omitted the default role is "teacher".

-role [supporter|teacher|admin]
    in connection with "CreateKeypair" creates a key pair for the specified role.

For more information about the imc, point your browser to file:///usr/share/doc/packages/imc or http://italc.sourceforge.net/.

SEE ALSO
ica(1), italc(1)

http://italc.sf.net/

AUTHOR
iTALC has been written by Tobias Doerffel. See AUTHORS for details.

This manual page has been written by Frank Schütte and updated by Tobias Doerffel.